package AST;


public class ASTMulExpression extends ASTBinaryExpression {

	public ASTMulExpression(ASTExpression left, ASTExpression right) {
		super(left, right);
	}

	@Override
	public void accept(ASTVisitor visitor) {
		visitor.visitMulExpression(this);
	}

	@Override
	public String toString() {
		return getLeft().toString() + "*" + getRight().toString();
	}
	
	
}
