package AST;

public class ASTReferenceExpression extends ASTExpression {
	private final ASTSymbol variable;
	
	public ASTReferenceExpression(ASTSymbol variable) {
		this.variable = variable;
	}
	
	public void accept(ASTVisitor visitor) {
		visitor.visitReferenceExpression(this);
	}
	
	public final ASTSymbol getVariable() {
		return variable;
	}
	
	@Override
	public String toString() {
		return variable.toString();
	}
}
